org.hibernate.search.query.dsl.impl

## Class ConnectedMoreLikeThisQueryBuilder

- java.lang.Object
- - org.hibernate.search.query.dsl.impl.ConnectedMoreLikeThisQueryBuilder

- Direct Known Subclasses:
    ConnectedMoreLikeThisQueryBuilder.MoreLikeThisTerminationImpl, ConnectedMoreLikeThisQueryBuilder.MoreLikeThisToEntityContentAndTerminationImpl

      public abstract class ConnectedMoreLikeThisQueryBuilder
      extends Object

  Author:
    Emmanuel Bernard

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ConnectedMoreLikeThisQueryBuilder.INPUT_TYPE` We could encapsulate that into a MoreLikeThisContentObject but going for this approach for now to save memory pressure.
    `static class` | `ConnectedMoreLikeThisQueryBuilder.MoreLikeThisTerminationImpl`
    `static class` | `ConnectedMoreLikeThisQueryBuilder.MoreLikeThisToEntityContentAndTerminationImpl`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectedMoreLikeThisQueryBuilder(Object id, ConnectedMoreLikeThisQueryBuilder.INPUT_TYPE inputType, FieldsContext fieldsContext, MoreLikeThisQueryContext moreLikeThisContext, org.hibernate.search.query.dsl.impl.QueryCustomizer queryCustomizer, QueryBuildingContext queryContext)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Query` | `createQuery()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConnectedMoreLikeThisQueryBuilder

          public ConnectedMoreLikeThisQueryBuilder(Object id,
                                                   ConnectedMoreLikeThisQueryBuilder.INPUT_TYPE inputType,
                                                   FieldsContext fieldsContext,
                                                   MoreLikeThisQueryContext moreLikeThisContext,
                                                   org.hibernate.search.query.dsl.impl.QueryCustomizer queryCustomizer,
                                                   QueryBuildingContext queryContext)

  - ### Method Detail

    - #### createQuery

          public Query createQuery()

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved